view scripts/config-headers.sh @ 598:717ed17d82c6

aci3 vocoder control revamped, AT@VSEL now works as it should The vocoder control code (hl_audio_drv.c) that came with the TCS3 version of ACI was totally broken in the Calypso config (VOCODER_FUNC_INTERFACE) and worked in the standard analog voice environment only by luck. This code has now been rewritten to work correctly with our Calypso platform and TCS211 L1, and our new AT@VSEL mechanism (automatic enabling and disabling of MCSI voice path as the modem enters and exits the voice call state) now also works as designed.
author Mychaela Falconia <falcon@freecalypso.org>
date Wed, 27 Mar 2019 23:44:35 +0000
parents fd8227e3047d
children 92dbfa906f66
line wrap: on
line source

#!/bin/sh

if [ $# != 2 ]
then
	echo "usage: $0 srvc-flavor rv-swe-flavor" 1>&2
	exit 1
fi

if [ -z "$TARGET" ]
then
	echo "Error: TARGET= must be passed via environment" 1>&2
	exit 1
fi

if [ -z "$BUILD_DIR" ]
then
	echo "Error: BUILD_DIR= must be passed via environment" 1>&2
	exit 1
fi

set -e

rm -rf $BUILD_DIR/config
cp -r cfg-headers/base $BUILD_DIR/config
cp cfg-headers/$1/* $BUILD_DIR/config
cp cfg-headers/rv_swe-$2.h $BUILD_DIR/config/rv_swe.h
cp targets/$TARGET.h $BUILD_DIR/config/fc-target.cfg